FORUMS: list search recent posts

FCP system requierments

COW Forums : Apple Final Cut Pro Legacy

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
Ben Edwards
FCP system requierments
on Nov 27, 2011 at 9:05:24 pm

Hi,

Is FCP 7 comparable with leopard or does it need Snow leopard?

Ben

--
Ben Edwards - Freelance Filmmaker
http://www.funkytwig.com


Return to posts index

Neil Patience
Re: FCP system requierments
on Nov 27, 2011 at 9:16:51 pm

Minimum spec is Intel Mac with 10.5.6 and Quicktime 7.6 or later so as long as your Leopard version meets that should be OK

(did I manage to post before Shane Ross?)

best wishes
Neil
http://www.patience.tv


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2018 CreativeCOW.net All Rights Reserved
[TOP]